CREATE OR REPLACE VIEW EKONO.ZUNIFY_V_OBTFACTURAS
AS
   SELECT   c.documento,
            a.linea,
            c.serie || '-' || c.no_documento factura,
            DECODE (a.moneda, 1, a.valor, a.valor_moneda) monto,
            c.jornada,
            DECODE (a.moneda, 1, 'COLONES', 'DOLARES') moneda,
            a.moneda tipo_moneda
     FROM         wms_pago_documentos a
               INNER JOIN
                  wms_documentos b
               ON a.documento = b.documento AND b.documento_padre IS NOT NULL
            INNER JOIN
               wms_documentos c
            ON NVL (b.documento_padre, 0) = c.documento
    WHERE   c.fecha_emision >
               SYSDATE - NVL (cg_f_parameter_value ('DHDT'), 0)
            AND a.tipo_pago = 40